Privage Open API
    Open API
    • Open API
    • Welcome to Privage Open API Documents
    • Get Access Token
      POST
    • Renew Access Token
      POST
    • Exchange Access Token
      POST
    • Get Current Add-On status
      GET
    • Get Profile
      GET
    • Add Point
      POST
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
    • Get Campaign
      GET
    • Get Transaction
      GET
    • Get Coupon Set
      GET
    • Create Coupon Set
      POST
    • Give Coupon to Member ID
      POST
    • Get Give Coupon History
      GET
    • Void Give Coupon
      DELETE
    • Get Transaction
      GET
    • Check Coupon
      GET
    • Mark Use Coupon
      POST

      Get Profile

      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      GET
      /api/v1/connect/profiles
      ตรวจสอบข้อมูลสมาชิก

      Request

      Authorization
      JWT Bearer
      Add the parameter
      Authorization
      to Headers
      Example:
      Authorization: ********************
      or
      Query Params

      Responses

      🟢200
      application/json
      รายการโปรไฟล์สมาชิกแบบแบ่งหน้า
      Body

      🟠401
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET 'https://core.privageapp.com/api/v1/connect/profiles?page&size&sort&search' \
      --header 'Authorization: Bearer <token>'
      Response Response Example
      {
          "pagination": {
              "total": 100,
              "page": 1,
              "size": 10
          },
          "data": [
              {
                  "uuid": "member-uuid-string",
                  "name": "สมชาย",
                  "lastName": "ใจดี",
                  "phoneCode": "66",
                  "phoneNumber": "0812345678",
                  "verified": true,
                  "otpVerified": true,
                  "lineVerified": false,
                  "active": true,
                  "profilePicture": "https://cdn.privageapp.com/profiles/avatar.jpg",
                  "lineId": "U1234567890abcdef",
                  "otherData": [
                      {
                          "key": "gender",
                          "value": "male"
                      },
                      {
                          "key": "birthdate",
                          "value": "1990-05-15"
                      }
                  ],
                  "cards": [
                      {
                          "uuid": "card-uuid-string",
                          "card_no": "001",
                          "card_nickname": "Gold",
                          "card_type": "GOLD",
                          "point": 1500
                      }
                  ]
              }
          ]
      }
      Modified at 2026-04-18 11:38:38
      Previous
      Get Current Add-On status
      Next
      Add Point
      Built with